---
kind: pipeline
type: docker
name: default

steps:
- name: backend
  image: golang:1.17
  commands:
    - cd backend/
    - go install honnef.co/go/tools/cmd/staticcheck@latest
    - go build ./...
    - go vet ./...
    - staticcheck ./...
    - go test -bench=. -benchmem -cover ./...

- name: frontend
  image: node:14
  commands:
    - cd frontend
    - yarn
    - yarn build
    - yarn test